
set echo on

DROP TABLE accounts;

CREATE TABLE accounts ( account NUMBER, cycle NUMBER, val NUMBER(5,2) );

INSERT ALL
   INTO accounts VALUES ( 999, 1, 0.11 )
   INTO accounts VALUES ( 999, 2, 0.18 )
   INTO accounts VALUES ( 999, 3, 0.27 )
   INTO accounts VALUES ( 999, 4, 0.35 )
   INTO accounts VALUES ( 999, 5, 0.52 )
   INTO accounts VALUES ( 999, 6, 0.61 )
   INTO accounts VALUES ( 999, 7, -1.51 )
   INTO accounts VALUES ( 999, 8, 0.63 )
   INTO accounts VALUES ( 999, 9, 92.00 )
   INTO accounts VALUES ( 999, 10, 88.00 )
   INTO accounts VALUES ( 999, 11, -400 )
   INTO accounts VALUES ( 999, 12, 0.8 )
SELECT NULL 
FROM   dual;

SELECT account
,      cycle
,      val
,      SUM(val) OVER (ORDER BY cycle) AS running_total
FROM   accounts;

