
set echo on

INSERT INTO accounts
SELECT MOD(ROWNUM,10)     AS account
,      MOD(ROWNUM,12)+1   AS cycle
,      DBMS_RANDOM.VALUE  AS val
FROM   all_objects
WHERE  ROWNUM <= 120;

SELECT account
,      BREAKSUM (val) AS end_of_cycle_total
FROM   accounts
GROUP  BY
       account;

